/******************************************************************************
//
// check-sdl-version
// Copyright (c) 2010 Sarah Eris Horsley Caffee
//
// Just a quick test program to verify SDL installation and to use as an
// example for learning to use CMake.
//
// This program may be freely copied, distributed, and used for any purpose.
// 
******************************************************************************/

#include <stdio.h>
#include <SDL.h>

int main(int argc, char **argv)
   {
   SDL_version compiled;
   const SDL_version * linked;

   printf("\t\t\tCompiled\t\tLinked\n");

   SDL_VERSION(&compiled);
   linked = SDL_Linked_Version();
   printf("SDL version\t\t%d.%d.%d\t\t\t%d.%d.%d\n", compiled.major, compiled.minor, compiled.patch,
	  linked->major, linked->minor, linked->patch);
   }
